### Method

# Aravis Camera dup_available_triggers

since: 0.8.0

#### Declaration [src]

    const char**
    arv_camera_dup_available_triggers (
      ArvCamera* camera,
      guint* n_triggers,
      GError** error
    )

#### Description [src]

Gets a list of all available triggers: FrameStart, ExposureActive, etc…

Available since: 0.8.0

#### Parameters

`n_triggers`

  Type: `guint*`

  Number of available triggers.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `utf8`

A newly allocated array of strings, which must be freed using `g_free()`.

The length of the array is in the `n_triggers` argument.
The caller of the method takes ownership of the returned data container, but not the data inside it.
Each element is a NUL terminated UTF-8 string.